import request from '@/utils/request'

// 查询整改记录详情列表
export function listDetails(query) {
  return request({
    url: '/production/details/list',
    method: 'get',
    params: query
  })
}

// 查询整改记录详情详细
export function getDetails(id) {
  return request({
    url: '/production/details/' + id,
    method: 'get'
  })
}

// 新增整改记录详情
export function addDetails(data) {
  return request({
    url: '/production/details',
    method: 'post',
    data: data
  })
}

// 修改整改记录详情
export function updateDetails(data) {
  return request({
    url: '/production/details',
    method: 'put',
    data: data
  })
}

// 删除整改记录详情
export function delDetails(id) {
  return request({
    url: '/production/details/' + id,
    method: 'delete'
  })
}

// 导出整改记录详情
export function exportDetails(query) {
  return request({
    url: '/production/details/export',
    method: 'get',
    params: query
  })
}